Библиотека easyocr

Buka

Новичок
Пользователь
Ноя 20, 2022
2
0
1
Ну, вкратце расскажу про свою ситуацию, программированием я занимаюсь как хобби, и недавно захотел создать кликер для браузерной игры, которую уже как 10 лет играю, и была нужда в распознавании символов с картинки, поэтому решил я воспользоваться библиотекой easyocr. НО тут оказалось не все так просто, и уже на этапе установки у меня появилась ошибка «The conflict is caused by easyocr 1.6.2 depends torch», посидел немного на форумах и даже не понял что за ошибка, но мое предположение в том что может быть это конфликт двух библиотек ? Как решить эту проблему и установить easyocr ? Прошу помочь
 

4olshoy_blen

Пользователь
Пользователь
Ноя 13, 2022
46
9
8
может быть это конфликт двух библиотек ?

Так выложи pip list сюда...
 

Buka

Новичок
Пользователь
Ноя 20, 2022
2
0
1
Так выложи pip list сюда...
contourpy 1.0.6
cycler 0.11.0
fonttools 4.38.0
keyboard 0.13.5
kiwisolver 1.4.4
matplotlib 3.6.2
MouseInfo 0.1.3
mss 7.0.1
numpy 1.23.4
opencv-python 4.6.0.66
packaging 21.3
Pillow 9.3.0
pip 22.3.1
PyAutoGUI 0.9.53
PyGetWindow 0.0.9
PyMsgBox 1.0.9
pyobjc 9.0
pyobjc-core 9.0
pyobjc-framework-Accessibility 9.0
pyobjc-framework-Accounts 9.0
pyobjc-framework-AddressBook 9.0
pyobjc-framework-AdServices 9.0
pyobjc-framework-AdSupport 9.0
pyobjc-framework-AppleScriptKit 9.0
pyobjc-framework-AppleScriptObjC 9.0
pyobjc-framework-ApplicationServices 9.0
pyobjc-framework-AppTrackingTransparency 9.0
pyobjc-framework-AudioVideoBridging 9.0
pyobjc-framework-AuthenticationServices 9.0
pyobjc-framework-AutomaticAssessmentConfiguration 9.0
pyobjc-framework-Automator 9.0
pyobjc-framework-AVFoundation 9.0
pyobjc-framework-AVKit 9.0
pyobjc-framework-BusinessChat 9.0
pyobjc-framework-CalendarStore 9.0
pyobjc-framework-CallKit 9.0
pyobjc-framework-CFNetwork 9.0
pyobjc-framework-ClassKit 9.0
pyobjc-framework-CloudKit 9.0
pyobjc-framework-Cocoa 9.0
pyobjc-framework-Collaboration 9.0
pyobjc-framework-ColorSync 9.0
pyobjc-framework-Contacts 9.0
pyobjc-framework-ContactsUI 9.0
pyobjc-framework-CoreAudio 9.0
pyobjc-framework-CoreAudioKit 9.0
pyobjc-framework-CoreBluetooth 9.0
pyobjc-framework-CoreData 9.0
pyobjc-framework-CoreHaptics 9.0
pyobjc-framework-CoreLocation 9.0
pyobjc-framework-CoreMedia 9.0
pyobjc-framework-CoreMediaIO 9.0
pyobjc-framework-CoreMIDI 9.0
pyobjc-framework-CoreML 9.0
pyobjc-framework-CoreMotion 9.0
pyobjc-framework-CoreServices 9.0
pyobjc-framework-CoreSpotlight 9.0
pyobjc-framework-CoreText 9.0
pyobjc-framework-CoreWLAN 9.0
pyobjc-framework-CryptoTokenKit 9.0
pyobjc-framework-DataDetection 9.0
pyobjc-framework-DeviceCheck 9.0
pyobjc-framework-DictionaryServices 9.0
pyobjc-framework-DiscRecording 9.0
pyobjc-framework-DiscRecordingUI 9.0
pyobjc-framework-DiskArbitration 9.0
pyobjc-framework-DVDPlayback 9.0
pyobjc-framework-EventKit 9.0
pyobjc-framework-ExceptionHandling 9.0
pyobjc-framework-ExecutionPolicy 9.0
pyobjc-framework-ExternalAccessory 9.0
pyobjc-framework-FileProvider 9.0
pyobjc-framework-FileProviderUI 9.0
pyobjc-framework-FinderSync 9.0
pyobjc-framework-FSEvents 9.0
pyobjc-framework-GameCenter 9.0
pyobjc-framework-GameController 9.0
pyobjc-framework-GameKit 9.0
pyobjc-framework-GameplayKit 9.0
pyobjc-framework-ImageCaptureCore 9.0
pyobjc-framework-IMServicePlugIn 9.0
pyobjc-framework-InputMethodKit 9.0
pyobjc-framework-InstallerPlugins 9.0
pyobjc-framework-InstantMessage 9.0
pyobjc-framework-Intents 9.0
pyobjc-framework-IntentsUI 9.0
pyobjc-framework-IOSurface 9.0
pyobjc-framework-iTunesLibrary 9.0
pyobjc-framework-KernelManagement 9.0
pyobjc-framework-LatentSemanticMapping 9.0
pyobjc-framework-LaunchServices 9.0
pyobjc-framework-libdispatch 9.0
pyobjc-framework-LinkPresentation 9.0
pyobjc-framework-LocalAuthentication 9.0
pyobjc-framework-LocalAuthenticationEmbeddedUI 9.0
pyobjc-framework-MailKit 9.0
pyobjc-framework-MapKit 9.0
pyobjc-framework-MediaAccessibility 9.0
pyobjc-framework-MediaLibrary 9.0
pyobjc-framework-MediaPlayer 9.0
pyobjc-framework-MediaToolbox 9.0
pyobjc-framework-Metal 9.0
pyobjc-framework-MetalKit 9.0
pyobjc-framework-MetalPerformanceShaders 9.0
pyobjc-framework-MetalPerformanceShadersGraph 9.0
pyobjc-framework-MetricKit 9.0
pyobjc-framework-MLCompute 9.0
pyobjc-framework-ModelIO 9.0
pyobjc-framework-MultipeerConnectivity 9.0
pyobjc-framework-NaturalLanguage 9.0
pyobjc-framework-NetFS 9.0
pyobjc-framework-Network 9.0
pyobjc-framework-NetworkExtension 9.0
pyobjc-framework-NotificationCenter 9.0
pyobjc-framework-OpenDirectory 9.0
pyobjc-framework-OSAKit 9.0
pyobjc-framework-OSLog 9.0
pyobjc-framework-PassKit 9.0
pyobjc-framework-PencilKit 9.0
pyobjc-framework-Photos 9.0
pyobjc-framework-PhotosUI 9.0
pyobjc-framework-PreferencePanes 9.0
pyobjc-framework-PushKit 9.0
pyobjc-framework-Quartz 9.0
pyobjc-framework-QuickLookThumbnailing 9.0
pyobjc-framework-ReplayKit 9.0
pyobjc-framework-SafariServices 9.0
pyobjc-framework-SceneKit 9.0
pyobjc-framework-ScreenSaver 9.0
pyobjc-framework-ScreenTime 9.0
pyobjc-framework-ScriptingBridge 9.0
pyobjc-framework-SearchKit 9.0
pyobjc-framework-Security 9.0
pyobjc-framework-SecurityFoundation 9.0
pyobjc-framework-SecurityInterface 9.0
pyobjc-framework-ServiceManagement 9.0
pyobjc-framework-ShazamKit 9.0
pyobjc-framework-Social 9.0
pyobjc-framework-SoundAnalysis 9.0
pyobjc-framework-Speech 9.0
pyobjc-framework-SpriteKit 9.0
pyobjc-framework-StoreKit 9.0
pyobjc-framework-SyncServices 9.0
pyobjc-framework-SystemConfiguration 9.0
pyobjc-framework-SystemExtensions 9.0
pyobjc-framework-UniformTypeIdentifiers 9.0
pyobjc-framework-UserNotifications 9.0
pyobjc-framework-UserNotificationsUI 9.0
pyobjc-framework-VideoSubscriberAccount 9.0
pyobjc-framework-VideoToolbox 9.0
pyobjc-framework-Virtualization 9.0
pyobjc-framework-Vision 9.0
pyobjc-framework-WebKit 9.0
pyparsing 3.0.9
pyperclip 1.8.2
PyRect 0.2.0
PyScreeze 0.1.28
python-dateutil 2.8.2
pytweening 1.0.4
rubicon-objc 0.4.2
setuptools 65.5.0
six 1.16.0
wheel 0.38.4
 

4olshoy_blen

Пользователь
Пользователь
Ноя 13, 2022
46
9
8
Ваша ошибка, если перевести её, указывает на то, что easyocr зависит от torch, из представленного списка нет последнего. Следовательно, нужно сначала установить правильную версию pytorch (как правильно выбрать смотреть тут), а уже затем попробовать запустить pip install easyocr
 

Форум IT Специалистов